Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error
Summary: Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-06 12:36 UTC by Marc Véron
Modified: 2017-06-14 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error (865 bytes, patch)
2016-10-06 12:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error (918 bytes, patch)
2016-10-11 01:10 UTC, David Cook
Details | Diff | Splinter Review
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error (1012 bytes, patch)
2016-10-18 16:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17411: Remove 3 other occurrences of exit 1 (1.39 KB, patch)
2016-10-18 16:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-10-06 12:36:09 UTC
In acqui/basket.pl line 236, the statement exit 1 is most likely to lead to an Internal Server Error. It should be exit 0.
Comment 1 Marc Véron 2016-10-06 12:41:54 UTC
Created attachment 56076 [details] [review]
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error

Note: Same situation as in Bug 17403

To test:
- Verifiy that code change makes sense.

Note: Same situation as in Bug 17403
Comment 2 David Cook 2016-10-11 01:10:10 UTC
Created attachment 56121 [details] [review]
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error

Note: Same situation as in Bug 17403

To test:
- Verifiy that code change makes sense.

Note: Same situation as in Bug 17403
Signed-off-by: David Cook <dcook@prosentient.com.au>

Without a step-by-step test plan, I wasn't sure how to test this.
However, the code change is simple enough, and makes sense.
Comment 3 Héctor Eduardo Castro Avalos 2016-10-15 15:22:04 UTC
David, you forgot to change bug status to signed-off
Comment 4 David Cook 2016-10-16 22:35:44 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #3)
> David, you forgot to change bug status to signed-off

Thanks, Héctor :).
Comment 5 Jonathan Druart 2016-10-18 16:13:01 UTC
Created attachment 56627 [details] [review]
Bug 17411 - Change exit 1 to exit 0 in acqui/basket.pl to prevent Internal Server Error

Note: Same situation as in Bug 17403

To test:
- Verifiy that code change makes sense.

Note: Same situation as in Bug 17403
Signed-off-by: David Cook <dcook@prosentient.com.au>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: Remove unecessary comment
Comment 6 Jonathan Druart 2016-10-18 16:15:21 UTC
Created attachment 56628 [details] [review]
Bug 17411: Remove 3 other occurrences of exit 1
Comment 7 Kyle M Hall 2016-10-21 15:09:16 UTC
Pushed to master for 16.11, thanks Marc, Jonathan!
Comment 8 Frédéric Demians 2016-10-22 13:11:31 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 9 Julian Maurice 2016-10-24 10:50:56 UTC
Pushed in 3.22.x, will be in 3.22.12